%define 	modulename pam_abl
Summary:	PAM abl module
Summary(pl.UTF-8):	Moduł PAM automatycznie dopisujący do blacklisty
Name:		pam-%{modulename}
Version:	0.4.3
Release:	3
License:	GPL v2
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/pam-abl/pam-abl-%{version}.tar.bz2
# Source0-md5:	62008b6eb8aa2c93bdb53c4f848bfb93
Patch0:		%{name}-conf.patch
URL:		http://pam-abl.deksai.com/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake
BuildRequires:	db-devel
BuildRequires:	pam-devel
Obsoletes:	pam_abl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PAM module which provides auto blacklisting of hosts and users
responsible for repeated failed authentication attempts.

%description -l pl.UTF-8
Moduł PAM automatycznie dopisujący do blacklisty hosty i użytkowników
po wykryciu powtarzających się błędów uwierzytelnienia.

%prep
%setup -q -n pam-abl-%{version}
%patch0 -p1

%build
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-pam-dir=/%{_lib}/security
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/security,%{_sbindir},/var/lib/abl}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install conf/pam_abl.conf $RPM_BUILD_ROOT/etc/security

%{__mv} $RPM_BUILD_ROOT{%{_bindir},%{_sbindir}}/pam_abl

# packaged in %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/pam-abl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS conf/system-auth
%attr(755,root,root) /%{_lib}/security/pam_abl.so
%attr(755,root,root) %{_sbindir}/pam_abl
%config(noreplace) %verify(not md5 mtime size) /etc/security/pam_abl.conf
%attr(700,root,root) %dir /var/lib/abl
%{_mandir}/man1/pam_abl.1*
%{_mandir}/man5/pam_abl.conf.5*
%{_mandir}/man8/pam_abl.8*
%changelog
* Wed Sep 05 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pam-pam_abl.git;a=log;h=master

* Wed Sep 05 2012 Jan Rękorajski <baggins@pld-linux.org> dac5b21
- release 3 (by relup.sh)

* Tue Sep 04 2012 Jan Rękorajski <baggins@pld-linux.org> c86d191
- Rebuild with DB 5.3
- release 2 (by relup.sh)

* Sun Apr 01 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 0d3dbc2
- updated to 0.4.3

* Wed Jul 15 2009 Jan Rękorajski <baggins@pld-linux.org> 7b9bdb7
- 0.3.0
- new maintainer

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 370b606
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ff9f002
- converted to UTF-8

* Sat Apr 01 2006 Jakub Bogusz <qboosh@pld-linux.org> 951b2d8
- pl fix

* Thu Mar 30 2006 spider <spider@pld-linux.org> 1bd7718
- agrr, typo fix

* Thu Mar 30 2006 spider <spider@pld-linux.org> 84119d0
- adapter

* Thu Mar 30 2006 spider <spider@pld-linux.org> 5a6f5b2
- added log section

* Thu Mar 30 2006 bartowl <bartowl@pld-linux.org> 8fcfa5a
- another new spec provided by Marcin Biczan <bibiak@magma-net.pl> - tested, STBR

